$(function () {
    OTable = $('#dataTableContent').dataTable({
        "bProcessing": true,
        "bServerSide": true,
        "sAjaxSource": "manage-content-data",
        "fnServerData": function (sSource, aoData, fnCallback) {
            $.ajax({
                "dataType": 'json',
                "type": "POST",
                "url": sSource,
                "data": aoData,
                "success": fnCallback
            });
        },
        "aaSorting" : [],
        "aoColumns": [
            { "sName": "id", "sTitle" : 'Id',bVisible: false},
            { "sName": "pageName", "sTitle" : 'Page Name'},
            { "sName": "pageTitle", 'sTitle' : 'Page Title'},
            { "sName": "created_on", 'sTitle' : 'Created On'},
            { "sName": "isActive", 'sTitle' : 'Status' ,bSearchable:false},
            { "sName": "operation", 'sTitle' : 'Operation' ,bSortable:false,bSearchable:false}
        ],
        "fnServerParams": function(aoData){},
        "fnDrawCallback": function(oSettings) {
            $('.make-switch').bootstrapSwitch();
            $('.make-switch').bootstrapSwitch('setOnClass', 'success');
            $('.make-switch').bootstrapSwitch('setOffClass', 'danger');
        }
    });

    $(document).on('submit','#manage_contant_form', function(e){
        $("#manage_contant_form").on('submit', function () {
            for (var instanceName in CKEDITOR.instances) {
                CKEDITOR.instances[instanceName].updateElement();
            }
        });

        $("#manage_contant_form").validate({
            ignore:[],
            rules:{
                pageName:{
                    required:true
                },
                pageTitle:{
                    required:true
                },
                pageDescription:{
                    required:true
                }
            },
            messages:{
                pageName:{
                    required:"Please enter page name."
                },
                replayMessage:{
                    required:"Please enter page title."
                },
                pageDescription:{
                    required:"Please enter page description."
                }
            },
            errorClass: 'help-block col-md-6',
            errorElement: 'span',
            highlight: function (element) {
               $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            errorPlacement: function (error, element) {
                if (element.attr("data-error-container")) {
                    error.appendTo(element.attr("data-error-container"));
                } else {
                    error.insertAfter(element);
                }
            }
        });
        if($("#manage_contant_form").valid()){
            return true;
        }else{
            return false;
        }
    });
});