$(function () {
    $(document).on('submit','#site_setting_form', function(e){
        $("#site_setting_form").validate({
            ignore:[],
            rules:{
                siteName:{
                    required:true
                },
                siteLogo:{
                    required:function (){
                        return $("#siteLogo").hasClass('required')
                    },
                    extension:'png|jpeg|jpg|gif'
                },
                siteFavicon:{
                    required:function (){
                        return $("#siteFavicon").hasClass('required')
                    },
                    extension:'png|jpeg|jpg|gif'
                },
                adminName:{
                    required:true
                },
                adminEmail:{
                    required:true,
                    email:true
                },
                googleApiKey:{
                    required:true
                },
                googleSecretKey:{
                    required:true
                },
                fromEmail:{
                    required:true,
                    email:true
                },
                smtpHost:{
                    required:true
                },
                smtpPort:{
                    required:true
                },
                smtpEmail:{
                    required:true,
                    email:true
                },
                smtpPassword:{
                    required:true
                },
                facebookLink:{
                    url:true
                },
                twitterLink:{
                    url:true
                },
                googleLink:{
                    url:true
                },
                linkedinLink:{
                    url:true
                },
                paypalPaymentId:{
                    required:true
                },
            },
            messages:{
                siteName:{
                    required:"Please enter site name."
                },
                siteLogo:{
                    required:"Please select site logo.",
                    extension:"Please select only png|jpg|jpeg|gif file."
                },
                siteFavicon:{
                    required:"Please select site favicon",
                    extension:"Please select only png|jpg|jpeg|gif file."
                },
                adminName:{
                    required:"Please enter admin name."
                },
                adminEmail:{
                    required:"Please enter admin email",
                    email:"Please enter valid email address"
                },
                googleApiKey:{
                    required:"Please enter google api key."
                },
                googleSecretKey:{
                    required:"Please enter google secret key."
                },
                fromEmail:{
                    required:"Please enter from email address.",
                    email:"Please enter valid email address"
                },
                smtpHost:{
                    required:"Please enter SMTP hostname."
                },
                smtpPort:{
                    required:"Please enter SMTP port"
                },
                smtpEmail:{
                    required:"Please enter SMTP email address.",
                    email:"Please enter valid email address"
                },
                smtpPassword:{
                    required:"Please enter SMTP password."
                },
                paypalPaymentId:{
                    required:"Please enter plan name."
                },
            },
            errorClass: 'help-block col-md-6',
            errorElement: 'span',
            highlight: function (element) {
               $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            errorPlacement: function (error, element) {
                if (element.attr("data-error-container")) {
                    error.appendTo(element.attr("data-error-container"));
                } else {
                    error.insertAfter(element);
                }
            }
        });
        if($("#site_setting_form").valid()){
            return true;
        }else{
            return false;
        }
    });

    $(document).on("keydown", ".allow_patent_views", function (e) {

        lengthLimit = 5;
        if ((e.keyCode >= 48 && e.keyCode <= 57 && $(this).val().length < lengthLimit) || (e.keyCode >= 96 && e.keyCode <= 105 && $(this).val().length < lengthLimit) || ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 && $(this).val().length <= lengthLimit) || (e.keyCode >= 35 && e.keyCode <= 39 && $(this).val().length <= lengthLimit) || (e.ctrlKey === true || e.metaKey === true)) {
            return;
        } else {
            e.preventDefault();
        }
    });

    $(document).on("keydown", ".plan_price", function (e) {

        lengthLimit = 10;
        if ((e.keyCode >= 48 && e.keyCode <= 57 && $(this).val().length < lengthLimit) || (e.keyCode >= 96 && e.keyCode <= 105 && $(this).val().length < lengthLimit) || ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 && $(this).val().length <= lengthLimit) || (e.keyCode >= 35 && e.keyCode <= 39 && $(this).val().length <= lengthLimit) || (e.ctrlKey === true || e.metaKey === true)) {
            return;
        } else {
            e.preventDefault();
        }
    });
});