$(function () {
    OTable = $('#dataTableUsers').dataTable({
        "bProcessing": true,
        "bServerSide": true,
        "sAjaxSource": "manage-user-data",
        "fnServerData": function (sSource, aoData, fnCallback) {
            $.ajax({
                "dataType": 'json',
                "type": "POST",
                "url": sSource,
                "data": aoData,
                "success": fnCallback
            });
        },
        "aaSorting" : [],
        "aoColumns": [
            { "sName": "id", "sTitle" : 'Id',bVisible: false},
            { "sName": "id", "sTitle" : 'ProfileImage',bSortable:false,bSearchable:false},
            { "sName": "firstName", "sTitle" : 'FirstName'},
            { "sName": "lastName", 'sTitle' : 'LastName'},
            { "sName": "emailAddress", 'sTitle' : 'Email Address'},
            { "sName": "created_on", 'sTitle' : 'Created On'},
            { "sName": "isActive", 'sTitle' : 'Status' ,bSearchable:false},
            { "sName": "operation", 'sTitle' : 'Operation' ,bSortable:false,bSearchable:false}
        ],
        "fnServerParams": function(aoData){},
        "fnDrawCallback": function(oSettings) {
            $('.make-switch').bootstrapSwitch();
            $('.make-switch').bootstrapSwitch('setOnClass', 'success');
            $('.make-switch').bootstrapSwitch('setOffClass', 'danger');
        }
    });

    $(document).on('submit','#manage_user_form', function(e){
        $("#manage_user_form").validate({
            ignore:[],
            rules:{
                firstName:{
                    required:true
                },
                lastName:{
                    required:true
                },
                profileImage:{
                    required:function (){
                        return $("#profileImage").hasClass('required')
                    },
                    extension:'png|jpeg|jpg|gif'
                },
            },
            messages:{
                firstName:{
                    required:"Please enter first name."
                },
                lastName:{
                    required:"Please enter last name."
                },
                profileImage:{
                    required:"Please select user profile.",
                    extension:"Please select only png|jpg|jpeg|gif file."
                },
            },
            errorClass: 'help-block col-md-6',
            errorElement: 'span',
            highlight: function (element) {
               $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            errorPlacement: function (error, element) {
                if (element.attr("data-error-container")) {
                    error.appendTo(element.attr("data-error-container"));
                } else {
                    error.insertAfter(element);
                }
            }
        });
        if($("#manage_user_form").valid()){
            return true;
        }else{
            return false;
        }
    });
});