from django.conf.urls import url
from django.conf import settings
from django.conf.urls.static import static
from . import views

urlpatterns = [
    ##HTML Views
    url(r'^$', views.LoginView, name='dashboard'),
    url(r'^dashboard$', views.DashboardView, name='dashboard'),
    url(r'^login$', views.LoginView, name="login"),
    url(r'^forget-password$', views.ForgetPasswordView, name="forget-password"),
    url(r'^site-settings$', views.SiteSettingView, name="site-settings"),
    url(r'^change-password$', views.ChangePasswordView, name="change-password"),
    ##HTML Views
    
    ##Manage Patent modules
    url(r'^manage-patents$', views.ManagePatentsView, name="manage-patents"),
    url(r'^manage-patent-data$', views.ManagePatentDataView, name="manage-patent-data"),
    ##Manage Patent modules

    ##Manage Payment modules
    url(r'^manage-payments$', views.ManagePaymentView, name="manage-payments"),
    url(r'^manage-payment-data$', views.ManagePaymentDataView, name="manage-payment-data"),
    ##Manage Payment modules

    ##Manage Users modules
    url(r'^manage-users$', views.ManageUsersView, name="manage-users"),
    url(r'^manage-user-form/(?P<user_id>.*)/$', views.ManageUserFormView, name='manage-user-form'),
    url(r'^manage-user-data$', views.ManageUserDataView, name="manage-user-data"),
    ##Manage Users modules

    ##Manage Contactus modules
    url(r'^contact-us$', views.ContactUsView, name="contact-us"),
    url(r'^contactu-us-data$', views.ContactUsDataView, name="contact-us"),
    url(r'^reply-contact-form/(?P<contact_id>.*)/$', views.ReplyContactFormView, name='reply-contact'),
    ##Manage Contactus modules

    ##Manage Content modules
    url(r'^manage-content$', views.ManageContentView, name="manage-content"),
    url(r'^manage-content-form$', views.ManageContentFormView, name='manage-content-form'),
    url(r'^manage-content-form/(?P<content_id>.*)/$', views.ManageContentFormView, name='manage-content-form'),
    url(r'^manage-content-data$', views.ManageContentDataView, name="manage-content-data"),
    ##Manage Content modules

    ##Manage Email Templates Module
    url(r'^manage-templates$', views.ManageTemplatesView, name="manage-templates"),
    url(r'^manage-templates-form$', views.ManageTemplatesFormView, name='manage-templates-form'),
    url(r'^manage-templates-form/(?P<template_id>.*)/$', views.ManageTemplatesFormView, name='manage-templates-form'),
    url(r'^manage-templates-data$', views.ManageTemplatesDataView, name="manage-templates-data"),
    ##Manage Email Templates Module

    ##Manage Subscription Plan Module
    url(r'^manage-subscription-plans$', views.ManageSubscriptionPlansView, name="manage-subscription-plans"),
    url(r'^manage-subscription-plans-form$', views.ManageSubscriptionPlansFormView, name='manage-subscription-plans-form'),
    url(r'^manage-subscription-plans-form/(?P<plan_id>.*)/$', views.ManageSubscriptionPlansFormView, name='manage-subscription-plans-form'),
    url(r'^manage-subscription-plans-data$', views.ManageSubscriptionPlansDataView, name="manage-subscription-plans-data"),
    ##Manage Subscription Plan Module
    
    ##CommonFunction
    url(r'^delete-records$', views.DeleteRecords, name="delete-records"),
    url(r'^view-record-details$', views.ViewRecordDetails, name="view-record-details"),
    url(r'^change-record-status$', views.ChangeRecordStatus, name="change-record-status"),
    
    ##CommonFunction
    url(r'^logout$', views.LogoutView, name="logout"),
]
